{поиск пар дружественных чисел на интервале a1...a2}
var a,a1,a2,i,sdel,sdelb : Longint;
begin
WriteLn('Введите интервал');
{if a1...}
ReadLn(a1,a2);
for a:=a1 to a2 do
 begin
  sdel:=1;
  sdelb:=1;
  for i:=2 to trunc(sqrt(a)) do
   if a mod i=0 then sdel:=sdel+i+(a div i);
  if ((a1<sdel) and (sdel<a2) and (a<sdel)) then
   begin
    for i:=2 to trunc(sqrt(sdel)) do
     if sdel mod i=0 then sdelb:=sdelb+i+(sdel div i);
    if (sdelb=a) then
         WriteLn(a,' и ',sdel,'-дружественные');
   end;
 end;
WriteLn('Всё!');
ReadLn;
end.